

apt update && apt full-upgrade

apt install curl \
   gpg \
   gnupg2 \
   software-properties-common \
   apt-transport-https \
   lsb-release ca-certificates

mkdir -p /etc/apt/keyrings
curl -fsSL https://deb.nodesource.com/gpgkey/nodesource-repo.gpg.key | sudo gpg --dearmor -o /etc/apt/keyrings/nodesource.gpg


# NODE_MAJOR=16
# NODE_MAJOR=18
# NODE_MAJOR=20
#
NODE_MAJOR=21

echo "deb [signed-by=/etc/apt/keyrings/nodesource.gpg] https://deb.nodesource.com/node_$NODE_MAJOR.x nodistro main" | sudo tee /etc/apt/sources.list.d/nodesource.list

apt update
apt install nodejs

node -v
npm -v
